Subject: bug#4550: 23.1; give users a choice for quitting backtrace buffer

From: Štěpán Němec <[email-masked]>
Date: Sun, 17 Jul 2011 12:18:34 +0200

martin rudalics <[email-masked]> writes:

>> I want the frame to either remain or be deleted, not iconified.
>> I want users to be able to specify the behavior they prefer.
>
> We can add a buffer display specifier which tells a priori what to do
> with the window/frame/buffer when the window is no more needed.  For
> that I'd need a list of specification concepts for
>
> - what to do with the window (delete it or keep it),
>
> - what to do with the frame (iconfiy, delete, keep it, make it
>   invisible),
>
> - what to do with the buffer (kill it, bury it),
>
> with an optional function that could be called for each of these.
>
> If a consensus can be reached, this could be easily done.  The calling
> application would propose the default behavior via an argument and the
> user could override it.

I think this would be great (with the options you listed). IMO the
possibility to customize the window quit/"undisplay" action is as
important as with the display action. I assume this customization would
be respected by `quit-window'?

  Štěpán